Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358531 - EL5 implemention of OpenLDAP not working with OpenDKIM
Summary: EL5 implemention of OpenLDAP not working with OpenDKIM
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openldap
Version: 5.11
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Matus Honek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 22:46 UTC by Steve Jenkins
Modified: 2016-08-05 10:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-05 10:36:48 UTC


Attachments (Terms of Use)

Description Steve Jenkins 2016-07-20 22:46:15 UTC
Description of problem: OpenDKIM compiles with OpenLDAP support on all current Fedora/RHEL platforms with the exception of EL5. I'm trying to correct this before EL5 hits EOL.

Version-Release number of selected component (if applicable): N/A

How reproducible: Always

Steps to Reproduce:
Set BuildRequires:openldap-devel, then attempt to build OpenDKIM with the openldap option:

%configure --with-odbx --with-db --with-openldap

See build log for this failed build details (search for "ldap" to see the probs):

http://koji.fedoraproject.org/koji/taskinfo?taskID=14961913

Actual results:
These errors in the build log:
opendkim-db.c: In function ‘dkimf_db_open_ldap’:
opendkim-db.c:1121: error: ‘LDAP_OPT_X_KEEPALIVE_IDLE’ undeclared (first use in this function)
opendkim-db.c:1121: error: (Each undeclared identifier is reported only once
opendkim-db.c:1121: error: for each function it appears in.)
opendkim-db.c:1142: error: ‘LDAP_OPT_X_KEEPALIVE_PROBES’ undeclared (first use in this function)
opendkim-db.c:1163: error: ‘LDAP_OPT_X_KEEPALIVE_INTERVAL’ undeclared (first use in this function)

Expected results:
No errors in the build log, and happy builds as on EL6:

http://koji.fedoraproject.org/koji/taskinfo?taskID=14962167

(F25, F24, F23, and EL7 are all happy, too).

Additional info:
See OpenDKIM bug #1293279.

Again, I realize EL5 hits EOL soon, but I'd love to have this working before it does.

Comment 1 Steve Jenkins 2016-07-21 04:12:10 UTC
Further research shows that:

LDAP_OPT_X_KEEPALIVE_IDLE
LDAP_OPT_X_KEEPALIVE_PROBES
LDAP_OPT_X_KEEPALIVE_INTERVAL

were introduced as of OpenLDAP 2.4.18. I tried testing by compiling against openldap24-libs-devel, but still got the same issues.

Comment 2 Matus Honek 2016-08-05 10:36:48 UTC
Hello Steve,

RHEL-5.11 ships OpenLDAP 2.3 which does not contain the defines, as you stated in #c1.

Unfortunately, this issue would not be a major bugfix. Therefore, I have to close this bugzilla.


Note You need to log in before you can comment on or make changes to this bug.